org.eclipse.wst.jsdt.chromium.debug.ui

## Class WizardUtils.WizardFinishController

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.WizardUtils.WizardFinishController

All Implemented Interfaces:
  DialogUtils.ValueConsumer

Enclosing class:
  WizardUtils

    public static class WizardUtils.WizardFinishController
    extends java.lang.Object
    implements DialogUtils.ValueConsumer

A utility class that ties `DialogUtils.Updater` together with `WizardUtils.LogicBasedWizard`. It is fed with `WizardUtils.WizardFinisher` value and optional warning value. It controls messages and 'finish' button of the wizard.

### Constructor Summary

Constructors
Constructor and Description
`WizardFinishController(DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends WizardUtils.WizardFinisher>> finisherValue, DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends java.lang.Void>> warningValue, WizardUtils.LogicBasedWizard wizardImpl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update(DialogUtils.Updater updater)` Called by updater when some linked sources have changed and it's time this vertex got updated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WizardFinishController

    public WizardFinishController(DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends WizardUtils.WizardFinisher>> finisherValue,
                                  DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends java.lang.Void>> warningValue,
                                  WizardUtils.LogicBasedWizard wizardImpl)

### Method Detail

#### update

    public void update(DialogUtils.Updater updater)

Description copied from interface: `DialogUtils.ValueConsumer`
Called by updater when some linked sources have changed and it's time this vertex got updated. `DialogUtils.Updater.reportChanged(org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueSource<?>)` may be called if some s have changed during this update (but this should not break topological order of the graph).

Specified by:
  `update` in interface `DialogUtils.ValueConsumer`